Skip to Content
Docs
API referenceSuppressions

Remove up to 100 suppressions

DELETE
/v1/suppressions/bulk

Uses the JSON-body-with-DELETE pattern.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key sent as Authorization: Bearer <key>. Looked up by SHA-256 hash (email_core::sha256_hex) against api_keys.hash; revoked keys and keys belonging to a suspended tenant are rejected. See the top-level Authentication section for permission levels.

Request Body

application/json
  1. body
emails*array<>
Items1 <= items <= 100

Response Body

Per-email removal results.

application/json
  1. response
data?array<>
Example Request
curl -X DELETE 'https://api.emitd.com/v1/suppressions/bulk' \  -H 'Content-Type: application/json' \  -d '{  "emails": [    "user@example.com"  ]}'
Example Response
{  "data": [    {      "email": "string",      "deleted": true    }  ]}